diff --git a/gcc/analyzer/store.cc b/gcc/analyzer/store.cc
index b40491ee5b5..1312a01d5f0 100644
--- a/gcc/analyzer/store.cc
+++ b/gcc/analyzer/store.cc
@@ -1435,8 +1435,8 @@ store::set_value (store_manager *mgr, const region2 *lhs_reg,
   for (cluster_map_t::iterator iter = m_cluster_map.begin ();
        iter != m_cluster_map.end (); ++iter)
     {
-      const region2 *iter_base_reg = (*iter).first;
-      binding_cluster2 *iter_cluster = (*iter).second;
+      const region *iter_base_reg = (*iter).first;
+      binding_cluster *iter_cluster = (*iter).second;
       if (iter_base_reg != lhs_base_reg
 	  && (lhs_cluster == NULL
 	      || lhs_cluster->symbolic_p ()
@@ -1478,8 +1478,8 @@ store::set_value (store_manager *mgr, const region2 *lhs_reg,
 /* Determine if BASE_REG_A could be an alias of BASE_REG_B.  */
 
 tristate
-store::eval_alias (const region2 *base_reg_a,
-		   const region2 *base_reg_b)
+store::eval_alias (const region *base_reg_a,
+		   const region *base_reg_b)
 {
   /* SSA names can't alias.  */
   tree decl_a = base_reg_a->maybe_get_decl ();
@@ -1489,11 +1489,11 @@ store::eval_alias (const region2 *base_reg_a,
   if (decl_b && TREE_CODE (decl_b) == SSA_NAME)
     return tristate::TS_FALSE;
 
-  if (const symbolic_region2 *sym_reg_a
-      = base_reg_a->dyn_cast_symbolic_region2 ())
+  if (const symbolic_region *sym_reg_a
+      = base_reg_a->dyn_cast_symbolic_region ())
     {
-      const svalue2 *sval_a = sym_reg_a->get_pointer ();
-      if (sval_a->get_kind () == svalue2::SK_INITIAL
+      const svalue *sval_a = sym_reg_a->get_pointer ();
+      if (sval_a->get_kind () == svalue::SK_INITIAL
 	  && decl_b
 	  && !is_global_var (decl_b))
 	{
@@ -1501,11 +1501,11 @@ store::eval_alias (const region2 *base_reg_a,
 	  return tristate::TS_FALSE;
 	}
     }
-  if (const symbolic_region2 *sym_reg_b
-      = base_reg_b->dyn_cast_symbolic_region2 ())
+  if (const symbolic_region *sym_reg_b
+      = base_reg_b->dyn_cast_symbolic_region ())
     {
-      const svalue2 *sval_b = sym_reg_b->get_pointer ();
-      if (sval_b->get_kind () == svalue2::SK_INITIAL
+      const svalue *sval_b = sym_reg_b->get_pointer ();
+      if (sval_b->get_kind () == svalue::SK_INITIAL
 	  && decl_a
 	  && !is_global_var (decl_a))
 	{
@@ -1525,13 +1525,13 @@ store::eval_alias (const region2 *base_reg_a,
 /* FIXME.  */
 
 void
-store::clobber_region (store_manager *mgr, const region2 *reg)
+store::clobber_region (store_manager *mgr, const region *reg)
 {
-  const region2 *base_reg = reg->get_base_region ();
-  binding_cluster2 **slot = m_cluster_map.get (base_reg);
+  const region *base_reg = reg->get_base_region ();
+  binding_cluster **slot = m_cluster_map.get (base_reg);
   if (!slot)
     return;
-  binding_cluster2 *cluster = *slot;
+  binding_cluster *cluster = *slot;
   cluster->clobber_region (mgr, reg);
   if (cluster->redundant_p ())
     {
@@ -1543,13 +1543,13 @@ store::clobber_region (store_manager *mgr, const region2 *reg)
 /* FIXME.  */
 
 void
-store::purge_region (store_manager *mgr, const region2 *reg)
+store::purge_region (store_manager *mgr, const region *reg)
 {
-  const region2 *base_reg = reg->get_base_region ();
-  binding_cluster2 **slot = m_cluster_map.get (base_reg);
+  const region *base_reg = reg->get_base_region ();
+  binding_cluster **slot = m_cluster_map.get (base_reg);
   if (!slot)
     return;
-  binding_cluster2 *cluster = *slot;
+  binding_cluster *cluster = *slot;
   cluster->purge_region (mgr, reg);
   if (cluster->redundant_p ())
     {
@@ -1561,37 +1561,37 @@ store::purge_region (store_manager *mgr, const region2 *reg)
 /* FIXME.  */
 
 void
-store::zero_fill_region (store_manager *mgr, const region2 *reg)
+store::zero_fill_region (store_manager *mgr, const region *reg)
 {
-  const region2 *base_reg = reg->get_base_region ();
+  const region *base_reg = reg->get_base_region ();
   if (base_reg->symbolic_for_unknown_ptr_p ())
     // FIXME: should we also invalidate existing clusters?
     return;
-  binding_cluster2 *cluster = get_or_create_cluster (base_reg);
+  binding_cluster *cluster = get_or_create_cluster (base_reg);
   cluster->zero_fill_region (mgr, reg);
 }
 
 /* FIXME.  */
 
 void
-store::mark_region_as_unknown (store_manager *mgr, const region2 *reg)
+store::mark_region_as_unknown (store_manager *mgr, const region *reg)
 {
-  const region2 *base_reg = reg->get_base_region ();
+  const region *base_reg = reg->get_base_region ();
   if (base_reg->symbolic_for_unknown_ptr_p ())
     // FIXME: should we also invalidate existing clusters?
     return;
-  binding_cluster2 *cluster = get_or_create_cluster (base_reg);
+  binding_cluster *cluster = get_or_create_cluster (base_reg);
   cluster->mark_region_as_unknown (mgr, reg);
 }
 
 /* FIXME.  */
 
-const binding_cluster2 *
-store::get_cluster (const region2 *base_reg) const
+const binding_cluster *
+store::get_cluster (const region *base_reg) const
 {
   gcc_assert (base_reg);
   gcc_assert (base_reg->get_base_region () == base_reg);
-  if (binding_cluster2 **slot
+  if (binding_cluster **slot
         = const_cast <cluster_map_t &> (m_cluster_map).get (base_reg))
     return *slot;
   else
@@ -1600,12 +1600,12 @@ store::get_cluster (const region2 *base_reg) const
 
 /* FIXME.  */
 
-binding_cluster2 *
-store::get_cluster (const region2 *base_reg)
+binding_cluster *
+store::get_cluster (const region *base_reg)
 {
   gcc_assert (base_reg);
   gcc_assert (base_reg->get_base_region () == base_reg);
-  if (binding_cluster2 **slot = m_cluster_map.get (base_reg))
+  if (binding_cluster **slot = m_cluster_map.get (base_reg))
     return *slot;
   else
     return NULL;
@@ -1613,8 +1613,8 @@ store::get_cluster (const region2 *base_reg)
 
 /* FIXME.  */
 
-binding_cluster2 *
-store::get_or_create_cluster (const region2 *base_reg)
+binding_cluster *
+store::get_or_create_cluster (const region *base_reg)
 {
   gcc_assert (base_reg);
   gcc_assert (base_reg->get_base_region () == base_reg);
@@ -1622,10 +1622,10 @@ store::get_or_create_cluster (const region2 *base_reg)
   /* We shouldn't create clusters for dereferencing an UNKNOWN ptr.  */
   gcc_assert (!base_reg->symbolic_for_unknown_ptr_p ());
 
-  if (binding_cluster2 **slot = m_cluster_map.get (base_reg))
+  if (binding_cluster **slot = m_cluster_map.get (base_reg))
     return *slot;
 
-  binding_cluster2 *cluster = new binding_cluster2 (base_reg);
+  binding_cluster *cluster = new binding_cluster (base_reg);
   m_cluster_map.put (base_reg, cluster);
   // FIXME: can this directly go in *slot ?
 
@@ -1633,17 +1633,17 @@ store::get_or_create_cluster (const region2 *base_reg)
 }
 
 /* Remove any cluster for BASE_REG, for use by
-   region_model2::unbind_region2_and_descendents
+   region_model::unbind_region_and_descendents
    when popping stack frames and handling deleted heap regions.  */
 
 void
-store::purge_cluster (const region2 *base_reg)
+store::purge_cluster (const region *base_reg)
 {
   gcc_assert (base_reg->get_base_region () == base_reg);
-  binding_cluster2 **slot = m_cluster_map.get (base_reg);
+  binding_cluster **slot = m_cluster_map.get (base_reg);
   if (!slot)
     return;
-  binding_cluster2 *cluster = *slot;
+  binding_cluster *cluster = *slot;
   delete cluster;
   m_cluster_map.remove (base_reg);
 }
@@ -1653,37 +1653,37 @@ store::purge_cluster (const region2 *base_reg)
 bool
 store::can_merge_p (const store *store_a, const store *store_b,
 		    store *out_store, store_manager *mgr,
-		    model2_merger *merger)
+		    model_merger *merger)
 {
   if (store_a->m_called_unknown_fn || store_b->m_called_unknown_fn)
     out_store->m_called_unknown_fn = true;
 
   /* Get the union of all base regions for STORE_A and STORE_B.  */
-  hash_set<const region2 *> base_regions;
+  hash_set<const region *> base_regions;
   for (cluster_map_t::iterator iter_a = store_a->m_cluster_map.begin ();
        iter_a != store_a->m_cluster_map.end (); ++iter_a)
     {
-      const region2 *base_reg_a = (*iter_a).first;
+      const region *base_reg_a = (*iter_a).first;
       base_regions.add (base_reg_a);
     }
   for (cluster_map_t::iterator iter_b = store_b->m_cluster_map.begin ();
        iter_b != store_b->m_cluster_map.end (); ++iter_b)
     {
-      const region2 *base_reg_b = (*iter_b).first;
+      const region *base_reg_b = (*iter_b).first;
       base_regions.add (base_reg_b);
     }
 
-  for (hash_set<const region2 *>::iterator iter = base_regions.begin ();
+  for (hash_set<const region *>::iterator iter = base_regions.begin ();
        iter != base_regions.end (); ++iter)
     {
-      const region2 *base_reg = *iter;
-      const binding_cluster2 *cluster_a = store_a->get_cluster (base_reg);
-      const binding_cluster2 *cluster_b = store_b->get_cluster (base_reg);
+      const region *base_reg = *iter;
+      const binding_cluster *cluster_a = store_a->get_cluster (base_reg);
+      const binding_cluster *cluster_b = store_b->get_cluster (base_reg);
       /* At least one of cluster_a and cluster_b must be non-NULL.  */
-      binding_cluster2 *out_cluster
+      binding_cluster *out_cluster
 	= out_store->get_or_create_cluster (base_reg);
-      if (!binding_cluster2::can_merge_p (cluster_a, cluster_b,
-					  out_cluster, mgr, merger))
+      if (!binding_cluster::can_merge_p (cluster_a, cluster_b,
+					 out_cluster, mgr, merger))
 	return false;
     }
   return true;
@@ -1696,12 +1696,12 @@ store::can_merge_p (const store *store_a, const store *store_b,
    isn't reachable from args of those calls.  */
 
 void
-store::mark_as_escaped (const region2 *base_reg)
+store::mark_as_escaped (const region *base_reg)
 {
   gcc_assert (base_reg);
   gcc_assert (base_reg->get_base_region () == base_reg);
 
-  binding_cluster2 *cluster = get_or_create_cluster (base_reg);
+  binding_cluster *cluster = get_or_create_cluster (base_reg);
   cluster->mark_as_escaped ();
   /* FIXME: but don't bother marking every global as escaped; instead,
      m_called_unknown_fn is set on these when on unknown fncalls,
@@ -1726,12 +1726,12 @@ store::on_unknown_fncall (const gcall *call, store_manager *mgr)
    has escaped to code outside of the TU being analyzed.  */
 
 bool
-store::escaped_p (const region2 *base_reg) const
+store::escaped_p (const region *base_reg) const
 {
   gcc_assert (base_reg);
   gcc_assert (base_reg->get_base_region () == base_reg);
 
-  if (binding_cluster2 **cluster_slot
+  if (binding_cluster **cluster_slot
       = const_cast <cluster_map_t &>(m_cluster_map).get (base_reg))
     return (*cluster_slot)->escaped_p ();
   return false;
@@ -1740,9 +1740,9 @@ store::escaped_p (const region2 *base_reg) const
 /* FIXME.  */
 
 void
-store::get_representative_path_vars (const region_model2 *model,
-				     hash_set <const svalue2 *> *visited,
-				     const svalue2 *sval,
+store::get_representative_path_vars (const region_model *model,
+				     hash_set <const svalue *> *visited,
+				     const svalue *sval,
 				     auto_vec<path_var> *out_pvs) const
 {
   gcc_assert (sval);
@@ -1751,15 +1751,15 @@ store::get_representative_path_vars (const region_model2 *model,
   for (cluster_map_t::iterator iter = m_cluster_map.begin ();
        iter != m_cluster_map.end (); ++iter)
     {
-      const region2 *base_reg = (*iter).first;
-      binding_cluster2 *cluster = (*iter).second;
+      const region *base_reg = (*iter).first;
+      binding_cluster *cluster = (*iter).second;
       cluster->get_representative_path_vars (model, visited, base_reg, sval,
 					     out_pvs);
     }
 
-  if (const initial_svalue2 *init_sval = sval->dyn_cast_initial_svalue2 ())
+  if (const initial_svalue *init_sval = sval->dyn_cast_initial_svalue ())
     {
-      const region2 *reg = init_sval->get_region ();
+      const region *reg = init_sval->get_region ();
       if (path_var pv = model->get_representative_path_var (reg,
 							    visited))
 	out_pvs->safe_push (pv);
@@ -1769,29 +1769,29 @@ store::get_representative_path_vars (const region_model2 *model,
 /* FIXME.  */
 
 void
-store::remove_overlapping_bindings (store_manager *mgr, const region2 *reg)
+store::remove_overlapping_bindings (store_manager *mgr, const region *reg)
 {
-  const region2 *base_reg = reg->get_base_region ();
+  const region *base_reg = reg->get_base_region ();
   if (reg == base_reg && !escaped_p (base_reg))
     {
       /* Remove whole cluster (if any).  */
       m_cluster_map.remove (base_reg);
       return;
     }
-  if (binding_cluster2 **cluster_slot = m_cluster_map.get (base_reg))
+  if (binding_cluster **cluster_slot = m_cluster_map.get (base_reg))
     (*cluster_slot)->remove_overlapping_bindings (mgr, reg);
 }
 
 /* FIXME.  */
 
-struct region2_finder : public visitor
+struct region_finder : public visitor
 {
-  void visit_region (const region2 *reg) FINAL OVERRIDE
+  void visit_region (const region *reg) FINAL OVERRIDE
   {
     m_regs.add (reg);
   }
 
-  hash_set<const region2 *> m_regs;
+  hash_set<const region *> m_regs;
 };
 
 /* FIXME.  */
@@ -1807,25 +1807,25 @@ store::canonicalize (store_manager *mgr)
      cluster, to avoid unbounded state chains involving these.  */
 
   /* Find regions that are referenced by bound values in the store.  */
-  region2_finder s;
+  region_finder s;
   for (cluster_map_t::iterator iter = m_cluster_map.begin ();
        iter != m_cluster_map.end (); ++iter)
     {
-      binding_cluster2 *cluster = (*iter).second;
-      for (binding_cluster2::iterator_t bind_iter = cluster->m_map.begin ();
+      binding_cluster *cluster = (*iter).second;
+      for (binding_cluster::iterator_t bind_iter = cluster->m_map.begin ();
 	   bind_iter != cluster->m_map.end (); ++bind_iter)
 	(*bind_iter).second->accept (&s);
     }
 
   /* Locate heap-allocated regions that have empty bindings that weren't
      found above.  */
-  hash_set<const region2 *> purgeable_regions;
+  hash_set<const region *> purgeable_regions;
   for (cluster_map_t::iterator iter = m_cluster_map.begin ();
        iter != m_cluster_map.end (); ++iter)
     {
-      const region2 *base_reg = (*iter).first;
-      binding_cluster2 *cluster = (*iter).second;
-      if (base_reg->get_kind () == region2::RK_HEAP_ALLOCATED)
+      const region *base_reg = (*iter).first;
+      binding_cluster *cluster = (*iter).second;
+      if (base_reg->get_kind () == region::RK_HEAP_ALLOCATED)
 	{
 	  if (cluster->empty_p ())
 	    if (!s.m_regs.contains (base_reg))
@@ -1833,28 +1833,28 @@ store::canonicalize (store_manager *mgr)
 
 	  /* Also cover the UNKNOWN case.  */
 	  // TODO: maybe we should canonicalize these to be empty first, instead
-	  if (const svalue2 *sval = cluster->maybe_get_simple_value (mgr))
-	    if (sval->get_kind () == svalue2::SK_UNKNOWN)
+	  if (const svalue *sval = cluster->maybe_get_simple_value (mgr))
+	    if (sval->get_kind () == svalue::SK_UNKNOWN)
 	      if (!s.m_regs.contains (base_reg))
 		purgeable_regions.add (base_reg);
 	}
     }
 
   /* Purge them.  */
-  for (hash_set<const region2 *>::iterator iter = purgeable_regions.begin ();
+  for (hash_set<const region *>::iterator iter = purgeable_regions.begin ();
        iter != purgeable_regions.end (); ++iter)
     {
-      const region2 *base_reg = *iter;
+      const region *base_reg = *iter;
       purge_cluster (base_reg);
     }
 }
 
-/* Subroutine for use by exploded_path::feasible2_p.
+/* Subroutine for use by exploded_path::feasible_p.
 
    We need to deal with state differences between:
    (a) when the exploded_graph is being initially constructed and
    (b) when replaying the state changes along a specific path in
-   in exploded_path::feasible2_p.
+   in exploded_path::feasible_p.
 
    In (a), state merging happens, so when exploring a loop
      for (i = 0; i < 1024; i++)
@@ -1876,25 +1876,25 @@ store::canonicalize (store_manager *mgr)
 
 void
 store::loop_replay_hack (const store *other_store,
-			 region_model2_manager *mgr)
+			 region_model_manager *mgr)
 {
   gcc_assert (other_store);
   for (cluster_map_t::iterator iter = other_store->m_cluster_map.begin ();
        iter != other_store->m_cluster_map.end (); ++iter)
     {
-      const region2 *base_reg = (*iter).first;
-      binding_cluster2 *cluster = (*iter).second;
-      for (binding_cluster2::iterator_t bind_iter = cluster->m_map.begin ();
+      const region *base_reg = (*iter).first;
+      binding_cluster *cluster = (*iter).second;
+      for (binding_cluster::iterator_t bind_iter = cluster->m_map.begin ();
 	   bind_iter != cluster->m_map.end (); ++bind_iter)
 	{
 	  const binding_key *key = (*bind_iter).first;
-	  const svalue2 *sval = (*bind_iter).second;
-	  if (sval->get_kind () == svalue2::SK_WIDENING)
+	  const svalue *sval = (*bind_iter).second;
+	  if (sval->get_kind () == svalue::SK_WIDENING)
 	    {
-	      binding_cluster2 *this_cluster
+	      binding_cluster *this_cluster
 		= get_or_create_cluster (base_reg);
-	      const svalue2 *unknown
-		= mgr->get_or_create_unknown_svalue2 (sval->get_type ());
+	      const svalue *unknown
+		= mgr->get_or_create_unknown_svalue (sval->get_type ());
 	      this_cluster->bind_key (key, unknown);
 	    }
 	}
diff --git a/gcc/analyzer/store.h b/gcc/analyzer/store.h
index 0f329b61510..b0685d49ce7 100644
--- a/gcc/analyzer/store.h
+++ b/gcc/analyzer/store.h
@@ -154,7 +154,7 @@ public:
   virtual bool concrete_p () const = 0;
   bool symbolic_p () const { return !concrete_p (); }
 
-  static const binding_key *make (store_manager *mgr, const region2 *r,
+  static const binding_key *make (store_manager *mgr, const region *r,
 				   enum binding_kind kind);
 
   virtual void dump_to_pp (pretty_printer *pp, bool simple) const;
@@ -241,7 +241,7 @@ private:
 class symbolic_binding : public binding_key
 {
 public:
-  symbolic_binding (const region2 *region, enum binding_kind kind)
+  symbolic_binding (const region *region, enum binding_kind kind)
   : binding_key (kind),
     m_region (region)
   {}
@@ -261,19 +261,19 @@ public:
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const region2 *get_region () const { return m_region; }
+  const region *get_region () const { return m_region; }
 
 private:
-  const region2 *m_region;
+  const region *m_region;
 };
 
 /* FIXME.
-   For use by binding_cluster2 and compound_svalue2.  */
+   For use by binding_cluster and compound_svalue.  */
 
 class binding_map
 {
 public:
-  typedef hash_map <const binding_key *, const svalue2 *> map_t;
+  typedef hash_map <const binding_key *, const svalue *> map_t;
   typedef map_t::iterator iterator_t;
 
   binding_map () : m_map () {}
@@ -286,15 +286,15 @@ public:
     return !(*this == other);
   }
 
-  const svalue2 *get (const binding_key *key) const
+  const svalue *get (const binding_key *key) const
   {
-    const svalue2 **slot = const_cast<map_t &> (m_map).get (key);
+    const svalue **slot = const_cast<map_t &> (m_map).get (key);
     if (slot)
       return *slot;
     else
       return NULL;
   }
-  bool put (const binding_key *k, const svalue2 *v)
+  bool put (const binding_key *k, const svalue *v)
   {
     gcc_assert (v);
     return m_map.put (k, v);
@@ -314,32 +314,32 @@ private:
   map_t m_map;
 };
 
-/* Concept: BindingVisitor, for use by binding_cluster2::for_each_binding
+/* Concept: BindingVisitor, for use by binding_cluster::for_each_binding
    and store::for_each_binding.
 
    Should implement:
-     void on_binding (const binding_key *key, const svalue2 *&sval);
+     void on_binding (const binding_key *key, const svalue *&sval);
 */
 
 /* All of the bindings within a store for regions that share the same
    base region.  */
 
-class binding_cluster2
+class binding_cluster
 {
 public:
   friend class store; // FIXME
 
-  typedef hash_map <const binding_key *, const svalue2 *> map_t;
+  typedef hash_map <const binding_key *, const svalue *> map_t;
   typedef map_t::iterator iterator_t;
 
-  binding_cluster2 (const region2 *base_region)
+  binding_cluster (const region *base_region)
   : m_base_region (base_region), m_map (),
     m_escaped (false), m_touched (false) {}
-  binding_cluster2 (const binding_cluster2 &other);
-  binding_cluster2& operator=(const binding_cluster2 &other);
+  binding_cluster (const binding_cluster &other);
+  binding_cluster& operator=(const binding_cluster &other);
 
-  bool operator== (const binding_cluster2 &other) const;
-  bool operator!= (const binding_cluster2 &other) const
+  bool operator== (const binding_cluster &other) const;
+  bool operator!= (const binding_cluster &other) const
   {
     return !(*this == other);
   }
@@ -349,29 +349,29 @@ public:
   void dump_to_pp (pretty_printer *pp, bool simple, bool multiline) const;
   void dump (bool simple) const;
 
-  void bind (store_manager *mgr, const region2 *, const svalue2 *,
+  void bind (store_manager *mgr, const region *, const svalue *,
 	     binding_kind kind);
 
-  void clobber_region (store_manager *mgr, const region2 *reg);
-  void purge_region (store_manager *mgr, const region2 *reg);
-  void zero_fill_region (store_manager *mgr, const region2 *reg);
-  void mark_region_as_unknown (store_manager *mgr, const region2 *reg);
+  void clobber_region (store_manager *mgr, const region *reg);
+  void purge_region (store_manager *mgr, const region *reg);
+  void zero_fill_region (store_manager *mgr, const region *reg);
+  void mark_region_as_unknown (store_manager *mgr, const region *reg);
 
-  const svalue2 *get_binding (store_manager *mgr, const region2 *reg,
+  const svalue *get_binding (store_manager *mgr, const region *reg,
 			      binding_kind kind) const;
-  const svalue2 *get_binding_recursive (store_manager *mgr,
-					const region2 *reg,
+  const svalue *get_binding_recursive (store_manager *mgr,
+					const region *reg,
 					enum binding_kind kind) const;
-  const svalue2 *get_any_binding (store_manager *mgr,
-				  const region2 *reg) const;
-  const svalue2 *maybe_get_compound_binding (store_manager *mgr,
-					     const region2 *reg) const;
+  const svalue *get_any_binding (store_manager *mgr,
+				  const region *reg) const;
+  const svalue *maybe_get_compound_binding (store_manager *mgr,
+					     const region *reg) const;
 
-  void remove_overlapping_bindings (store_manager *mgr, const region2 *reg);
+  void remove_overlapping_bindings (store_manager *mgr, const region *reg);
 
 #if 1
   template <typename T>
-  void for_each_value (void (*cb) (const svalue2 *sval, T user_data),
+  void for_each_value (void (*cb) (const svalue *sval, T user_data),
 		       T user_data)
   {
     for (map_t::iterator iter = m_map.begin (); iter != m_map.end (); ++iter)
@@ -379,12 +379,12 @@ public:
   }
 #endif
 
-  static bool can_merge_p (const binding_cluster2 *cluster_a,
-			   const binding_cluster2 *cluster_b,
-			   binding_cluster2 *out_cluster,
+  static bool can_merge_p (const binding_cluster *cluster_a,
+			   const binding_cluster *cluster_b,
+			   binding_cluster *out_cluster,
 			   store_manager *mgr,
-			   model2_merger *merger);
-  void make_unknown_relative_to (const binding_cluster2 *other_cluster,
+			   model_merger *merger);
+  void make_unknown_relative_to (const binding_cluster *other_cluster,
 				 store_manager *mgr);
 
   void mark_as_escaped ();
@@ -396,13 +396,13 @@ public:
   bool redundant_p () const;
   bool empty_p () const { return m_map.elements () == 0; }
 
-  void get_representative_path_vars (const region_model2 *model,
-				     hash_set <const svalue2 *> *visited,
-				     const region2 *base_reg,
-				     const svalue2 *sval,
+  void get_representative_path_vars (const region_model *model,
+				     hash_set <const svalue *> *visited,
+				     const region *base_reg,
+				     const svalue *sval,
 				     auto_vec<path_var> *out_pvs) const;
 
-  const svalue2 *maybe_get_simple_value (store_manager *mgr) const;
+  const svalue *maybe_get_simple_value (store_manager *mgr) const;
 
   template <typename BindingVisitor>
   void for_each_binding (BindingVisitor &v)
@@ -410,7 +410,7 @@ public:
     for (map_t::iterator iter = m_map.begin (); iter != m_map.end (); ++iter)
       {
 	const binding_key *key = (*iter).first;
-	const svalue2 *&sval = (*iter).second;
+	const svalue *&sval = (*iter).second;
 	v.on_binding (key, sval);
       }
   }
@@ -419,15 +419,15 @@ public:
   iterator_t end () const { return m_map.end (); }
 
 private:
-  const svalue2 *get_any_value (const binding_key *key) const;
-  void get_overlapping_bindings (store_manager *mgr, const region2 *reg,
+  const svalue *get_any_value (const binding_key *key) const;
+  void get_overlapping_bindings (store_manager *mgr, const region *reg,
 				 auto_vec<const binding_key *> *out);
   void bind_compound_sval (store_manager *mgr,
-			   const region2 *reg,
-			   const compound_svalue2 *compound_sval);
-  void bind_key (const binding_key *key, const svalue2 *sval);
+			   const region *reg,
+			   const compound_svalue *compound_sval);
+  void bind_key (const binding_key *key, const svalue *sval);
 
-  const region2 *m_base_region;
+  const region *m_base_region;
 
   binding_map m_map;
 
@@ -443,7 +443,7 @@ private:
 
   /* Has this cluster been written to via a symbolic binding?
      If so, then we don't know anything about unbound subregions,
-     so we can't use initial_svalue2, treat them as uninitialized, or
+     so we can't use initial_svalue, treat them as uninitialized, or
      inherit values from a parent region.  */
   bool m_touched;
 
@@ -457,7 +457,7 @@ private:
 class store
 {
 public:
-  typedef hash_map <const region2 *, binding_cluster2 *> cluster_map_t;
+  typedef hash_map <const region *, binding_cluster *> cluster_map_t;
 
   store ();
   store (const store &other);
@@ -476,26 +476,26 @@ public:
   void dump (bool simple) const;
   void summarize_to_pp (pretty_printer *pp, bool simple) const;
 
-  const svalue2 *get_direct_binding (store_manager *mgr, const region2 *reg);
-  const svalue2 *get_default_binding (store_manager *mgr, const region2 *reg);
-  const svalue2 *get_any_binding (store_manager *mgr, const region2 *reg) const;
+  const svalue *get_direct_binding (store_manager *mgr, const region *reg);
+  const svalue *get_default_binding (store_manager *mgr, const region *reg);
+  const svalue *get_any_binding (store_manager *mgr, const region *reg) const;
 
   bool called_unknown_fn_p () const { return m_called_unknown_fn; }
 
-  void set_value (store_manager *mgr, const region2 *lhs_reg,
-		  const svalue2 *rhs_sval, enum binding_kind kind);
-  void clobber_region (store_manager *mgr, const region2 *reg);
-  void purge_region (store_manager *mgr, const region2 *reg);
-  void zero_fill_region (store_manager *mgr, const region2 *reg);
-  void mark_region_as_unknown (store_manager *mgr, const region2 *reg);
+  void set_value (store_manager *mgr, const region *lhs_reg,
+		  const svalue *rhs_sval, enum binding_kind kind);
+  void clobber_region (store_manager *mgr, const region *reg);
+  void purge_region (store_manager *mgr, const region *reg);
+  void zero_fill_region (store_manager *mgr, const region *reg);
+  void mark_region_as_unknown (store_manager *mgr, const region *reg);
 
-  const binding_cluster2 *get_cluster (const region2 *base_reg) const;
-  binding_cluster2 *get_cluster (const region2 *base_reg);
-  binding_cluster2 *get_or_create_cluster (const region2 *base_reg);
-  void purge_cluster (const region2 *base_reg);
+  const binding_cluster *get_cluster (const region *base_reg) const;
+  binding_cluster *get_cluster (const region *base_reg);
+  binding_cluster *get_or_create_cluster (const region *base_reg);
+  void purge_cluster (const region *base_reg);
 
   template <typename T>
-  void for_each_cluster (void (*cb) (const region2 *base_reg, T user_data),
+  void for_each_cluster (void (*cb) (const region *base_reg, T user_data),
 			 T user_data) const
   {
     for (cluster_map_t::iterator iter = m_cluster_map.begin ();
@@ -505,22 +505,22 @@ public:
 
   static bool can_merge_p (const store *store_a, const store *store_b,
 			   store *out_store, store_manager *mgr,
-			   model2_merger *merger);
+			   model_merger *merger);
 
-  void mark_as_escaped (const region2 *base_reg);
+  void mark_as_escaped (const region *base_reg);
   void on_unknown_fncall (const gcall *call, store_manager *mgr);
-  bool escaped_p (const region2 *reg) const;
+  bool escaped_p (const region *reg) const;
 
-  void get_representative_path_vars (const region_model2 *model,
-				     hash_set <const svalue2 *> *visited,
-				     const svalue2 *sval,
+  void get_representative_path_vars (const region_model *model,
+				     hash_set <const svalue *> *visited,
+				     const svalue *sval,
 				     auto_vec<path_var> *out_pvs) const;
 
   cluster_map_t::iterator begin () const { return m_cluster_map.begin (); }
   cluster_map_t::iterator end () const { return m_cluster_map.end (); }
 
-  tristate eval_alias (const region2 *base_reg_a,
-		       const region2 *base_reg_b);
+  tristate eval_alias (const region *base_reg_a,
+		       const region *base_reg_b);
 
   template <typename BindingVisitor>
   void for_each_binding (BindingVisitor &v)
@@ -532,10 +532,10 @@ public:
 
   void canonicalize (store_manager *mgr);
   void loop_replay_hack (const store *other_store,
-			 region_model2_manager *mgr);
+			 region_model_manager *mgr);
 
 private:
-  void remove_overlapping_bindings (store_manager *mgr, const region2 *reg);
+  void remove_overlapping_bindings (store_manager *mgr, const region *reg);
 
   cluster_map_t m_cluster_map; // TODO: deep copy of this!
 
@@ -551,7 +551,7 @@ private:
 class store_manager
 {
 public:
-  store_manager (region_model2_manager *mgr) : m_mgr (mgr) {}
+  store_manager (region_model_manager *mgr) : m_mgr (mgr) {}
 
   /* binding consolidation.  */
   const concrete_binding *
@@ -559,10 +559,10 @@ public:
 			bit_offset_t size_in_bits,
 			enum binding_kind kind);
   const symbolic_binding *
-  get_symbolic_binding (const region2 *region,
+  get_symbolic_binding (const region *region,
 			enum binding_kind kind);
 
-  region_model2_manager *get_svalue2_manager () const
+  region_model_manager *get_svalue_manager () const
   {
     return m_mgr;
   }
@@ -570,7 +570,7 @@ public:
   void log_stats (logger *logger, bool show_objs) const;
 
 private:
-  region_model2_manager *m_mgr;
+  region_model_manager *m_mgr;
   uniq_manager<concrete_binding> m_concrete_binding_key_mgr;
   uniq_manager<symbolic_binding> m_symbolic_binding_key_mgr;
 };
-- 
2.26.2

